/**
 * Swagger bookshelf
 * TODO
 *
 * OpenAPI spec version: 1.0.0
 * Contact: gestin.gweltaz@gmail.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import {ArtistSearch} from './artist-search';

/**
 * Contains book information return after a search on from BNF API
 */
export interface BookSearch {
    /**
     * An SRU ID use to link the book object to other in the API
     */
    arkId?: string;
    /**
     * The list of all retrieved artist whose work on the book
     */
    artists?: Array<ArtistSearch>;
    /**
     * The collection in which the book as been released in
     */
    collection?: string;
    /**
     * The filename of the cover file (isbn)
     */
    cover?: string;
    /**
     * The groups's name which has released the book
     */
    editor?: string;
    /**
     * The unique book's identifier
     */
    isbn?: string;

    rawBnFData?: string;
    /**
     * The book's series name
     */
    series?: string;
    /**
     * The title of the book
     */
    title?: string;
    subTitle?: string;
    /**
     * The book's rank in the series (issue number)
     */
    tome?: string;
    /**
     * The book's publication year
     */
    year?: string;
}
